part of 'generated.dart';

class DeleteAttireOptionVariablesBuilder {
  String id;

  final FirebaseDataConnect _dataConnect;
  DeleteAttireOptionVariablesBuilder(this._dataConnect, {required  this.id,});
  Deserializer<DeleteAttireOptionData> dataDeserializer = (dynamic json)  => DeleteAttireOptionData.fromJson(jsonDecode(json));
  Serializer<DeleteAttireOptionVariables> varsSerializer = (DeleteAttireOptionVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<DeleteAttireOptionData, DeleteAttireOptionVariables>> execute() {
    return ref().execute();
  }

  MutationRef<DeleteAttireOptionData, DeleteAttireOptionVariables> ref() {
    DeleteAttireOptionVariables vars= DeleteAttireOptionVariables(id: id,);
    return _dataConnect.mutation("deleteAttireOption", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class DeleteAttireOptionAttireOptionDelete {
  final String id;
  DeleteAttireOptionAttireOptionDelete.fromJson(dynamic json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteAttireOptionAttireOptionDelete otherTyped = other as DeleteAttireOptionAttireOptionDelete;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteAttireOptionAttireOptionDelete({
    required this.id,
  });
}

@immutable
class DeleteAttireOptionData {
  final DeleteAttireOptionAttireOptionDelete? attireOption_delete;
  DeleteAttireOptionData.fromJson(dynamic json):
  
  attireOption_delete = json['attireOption_delete'] == null ? null : DeleteAttireOptionAttireOptionDelete.fromJson(json['attireOption_delete']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteAttireOptionData otherTyped = other as DeleteAttireOptionData;
    return attireOption_delete == otherTyped.attireOption_delete;
    
  }
  @override
  int get hashCode => attireOption_delete.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    if (attireOption_delete != null) {
      json['attireOption_delete'] = attireOption_delete!.toJson();
    }
    return json;
  }

  DeleteAttireOptionData({
    this.attireOption_delete,
  });
}

@immutable
class DeleteAttireOptionVariables {
  final String id;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  DeleteAttireOptionVariables.fromJson(Map<String, dynamic> json):
  
  id = nativeFromJson<String>(json['id']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final DeleteAttireOptionVariables otherTyped = other as DeleteAttireOptionVariables;
    return id == otherTyped.id;
    
  }
  @override
  int get hashCode => id.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['id'] = nativeToJson<String>(id);
    return json;
  }

  DeleteAttireOptionVariables({
    required this.id,
  });
}

